#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	JavaScript
%define		pnam	Minifier
%include	/usr/lib/rpm/macros.perl
Summary:	JavaScript::Minifier - Perl extension for minifying JavaScript code
Name:		perl-JavaScript-Minifier
Version:	1.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/JavaScript/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	91e4cf0a4f5e317d5a5a8cf6d55700ac
URL:		http://search.cpan.org/dist/JavaScript-Minifier/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module removes unnecessary whitespace from JavaScript code. The
primary requirement developing this module is to not break working
code: if working JavaScript is in input then working JavaScript is
output. It is ok if the input has missing semi-colons, snips like '++
+' or '12 .toString()', for example. Internet Explorer conditional
comments are copied to the output but the code inside these comments
will not be minified.

The ECMAScript specifications allow for many different whitespace
characters: space, horizontal tab, vertical tab, new line, carriage
return, form feed, and paragraph separator. This module understands
all of these as whitespace except for vertical tab and paragraph
separator. These two types of whitespace are not minimized.

For static JavaScript files, it is recommended that you minify during
the build stage of web deployment. If you minify on-the-fly then it
might be a good idea to cache the minified file. Minifying static
files on-the-fly repeatedly is wasteful.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/JavaScript/*.pm
%{_mandir}/man3/*
%changelog
* Sun Jul 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-JavaScript-Minifier.git;a=log;h=master

* Sun Jun 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b5fc6a8
- up to 1.14

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e30325c
- up to 1.12

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 7dbf3cf
- use generic url

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a66b979
- up to 1.09

* Wed May 11 2011 aredridel <aredridel@pld-linux.org> 0ccee64
- added

